##### basic_readable_pipe::basic_readable_pipe (3 of 6 overloads)

Construct a `basic_readable_pipe` on an existing native pipe.

    basic_readable_pipe(
        const executor_type & ex,
        const native_handle_type & native_pipe);

This constructor creates a pipe object to hold an existing native pipe.

###### Parameters

ex

  The I/O executor that the pipe will use, by default, to dispatch handlers for any asynchronous operations performed on the pipe.

native_pipe

  A native pipe.

###### Exceptions

asio::system_error

  Thrown on failure.